This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 24997 - portmap segfaults on extended ulimit
portmap segfaults on extended ulimit
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: portmap (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-25 19:58 EST by Viraj Alankar
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 13:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of portmap -vd (71.25 KB, text/plain)
2001-01-30 13:09 EST, Trond Eivind Glomsrxd
no flags Details

  None (edit)
Description Viraj Alankar 2001-01-25 19:58:50 EST
When having the following in root's .bashrc:

ulimit -n 90000

starting portmap, then doing rpcinfo -p causes portmap to crash. Also doing
a:

strace /sbin/portmap -vd

segfaults on a select call with a very large file descriptor set. I don't
know if this is a bug in glibc or portmap. Any help appreciated.

Viraj.
Comment 1 Trond Eivind Glomsrxd 2001-01-30 13:09:00 EST
It tries a huuuge select call, and dies doing that... jakub?
Comment 2 Trond Eivind Glomsrxd 2001-01-30 13:09:58 EST
Created attachment 8504 [details]
strace of portmap -vd
Comment 3 Trond Eivind Glomsrxd 2001-01-30 13:12:44 EST
Note - none of this happens on a rawhidish system w/2.4 kernel and glibc 2.2
Comment 4 Trond Eivind Glomsrxd 2001-02-11 17:34:06 EST
Fixed in newer versions of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.